Name:		tartube
Version:	2.5.0
Release:	%mkrel 2
Summary:	GUI for youtube-dl and yt-dlp
License:	LGPLv2+
Group:		Video/Players
Url:		https://github.com/axcore/tartube
Source0:	https://github.com/axcore/tartube/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(twodict)

Requires:	python3-matplotlib-gtk3
Requires:	python3dist(twodict)
Requires:	yt-dlp
Requires:	youtube-dl
Recommends:	atomicparsley
Recommends:	ffmpeg
Recommends:	python3-moviepy

Provides:	youtube-dl-gui = %version-%release
Obsoletes:	youtube-dl-gui < 0.4-4

%description
Tartube is a GUI front-end for youtube-dl, yt-dlp and other
compatible video downloaders.

It's a fork of youtube-dl-gui which works with python3.

%prep
%autosetup -p1

%build
%py3_build

%install
export TARTUBE_PKG_STRICT=1
%py3_install

mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tartube
GenericName=YouTube-dl and yt-dlp GUI
Comment=GUI front-end for youtube-dl and yt-dlp
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Audio;Video;AudioVideo;
EOF

%files
%doc AUTHORS CHANGES README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/tartube/
%{python3_sitelib}/tartube/
%{python3_sitelib}/tartube-%{version}-py%{python3_version}.egg-info
%{_mandir}/man1/*.1*


%changelog
* Tue Jul 09 2024 daviddavid <daviddavid> 2.5.0-2.mga10
+ Revision: 2080414
- add also youtube-dl as a required runtime dependency (mga#33372)

* Thu Feb 22 2024 daviddavid <daviddavid> 2.5.0-1.mga10
+ Revision: 2043328
- new version: 2.5.0

* Thu Dec 28 2023 tv <tv> 2.4.260-2.mga10
+ Revision: 2023389
- Rebuild for python-3.12

* Thu Mar 02 2023 daviddavid <daviddavid> 2.4.260-1.mga9
+ Revision: 1946316
- new version: 2.4.260
- upstream change the license for LGPLv2+ now
- switch to yt-dlp
- update summary and description for yt-dlp
- no longer depends on wxpython

* Wed Apr 06 2022 umeabot <umeabot> 2.3.367-3.mga9
+ Revision: 1846080
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 tv <tv> 2.3.367-2.mga9
+ Revision: 1781115
- Requires python3-matplotlib-gtk3 (mga#30039)

* Wed Feb 16 2022 tv <tv> 2.3.367-1.mga9
+ Revision: 1777967
- 2.3.367 (mga#30039)

* Sat Feb 12 2022 tv <tv> 2.3.042-3.mga9
+ Revision: 1773674
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 2.3.042-2.mga9
+ Revision: 1705558
- rebuild for python-3.9.2

* Sun Jan 03 2021 wally <wally> 2.3.042-1.mga8
+ Revision: 1668475
- new version 2.3.042

* Fri Sep 25 2020 daviddavid <daviddavid> 2.1.070-1.mga8
+ Revision: 1630046
- new version: 2.1.070
- add python3-moviepy and atomicparsley as recommended dependencies
- fix license

* Sat May 09 2020 daviddavid <daviddavid> 2.0.0-3.mga8
+ Revision: 1582186
- remove unneeded python2 build dependency on wxpython-devel

* Tue Mar 03 2020 tv <tv> 2.0.0-2.mga8
+ Revision: 1553448
- disable "update youtube-dl" option
- package man page
- package CHANGES rather than useless stuff

* Tue Mar 03 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1553439
- imported package tartube


* Tue Mar 03 2020 Thierry Vignaud <tv@mageia.org> 2.0.0-1.mga8
- initial import
- obsolete youtube-dl-gui (which is python2 only)

